classification
Title: Add env vars for controlling building sqlite, hashlib and ssl
Type: Stage: patch review
Components: Build Versions: Python 3.3
process
Status: closed Resolution: out of date
Dependencies: Superseder: Provide configure option --with-ssl for compilation with custom openssl
View: 21541
Assigned To: Nosy List: collinwinter, eric.araujo, ikeaxial, isandler, jafo, machyniak, pitrou
Priority: normal Keywords: needs review, patch

Created on 2009-03-26 21:07 by collinwinter, last changed 2016-09-08 22:53 by christian.heimes. This issue is now closed.

Files
File name Uploaded Description Edit
setup_env_vars.patch collinwinter, 2009-03-26 21:07 review
Messages (6)
msg84220 - (view) Author: Collin Winter (collinwinter) * (Python committer) Date: 2009-03-26 21:07
This patch adds SSL_ROOT, SQLITE_INC and SQLITE_LIB environment
variables used to inject additional libraries/headers for building the
sqlite, hashlib and ssl modules. We've found this very useful for
building these modules against their dependencies statically for
deployment purposes. This may well not be useful for most CPython users,
but I figured it would be nice to have a record here.
msg86213 - (view) Author: Ilya Sandler (isandler) Date: 2009-04-20 23:56
I think this would be useful for anyone who builds cpython on a
non-mainstream platform.

I know this would have been useful for me when I tried to build cpython
on an older linux distro where libs were installed in a non-std location.
msg86233 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-04-21 15:20
Are these environment variables Python-specific?
msg104142 - (view) Author: Sean Reifschneider (jafo) * (Python committer) Date: 2010-04-25 05:21
Collin: Antoine has asked for some feedback, can you answer that question?
msg138461 - (view) Author: Collin Winter (collinwinter) * (Python committer) Date: 2011-06-16 16:33
I don't know that the variables are Python-specific. We used these variables to build various Python modules statically against the versions of openssl and sqlite maintained in Google's internal third-party repository.
msg218843 - (view) Author: Pavel Machyniak (machyniak) * Date: 2014-05-20 13:29
Unfortunately this patch will not work if there is other (system) openssl installed in the default locations (`/usr/include`, `/usr/lib`) because this patch only add another path at the end of the search list.

Instead of this  I will make a ticket for providing configuration option for controlling the `openssl` (`--with-ssl=PATH`) and I will propose the solution (patch for current `configure` and `setup.py`). This way the user can explicitly provide the path for `openssl` and there is no need to search for one.

I think it is important to fix this because there is a lot of people having problem compiling `python` with custom `openssl`, eg.: [http://stackoverflow.com/questions/22409092/coredump-when-compiling-python-with-a-custom-openssl-version]
History
Date User Action Args
2016-09-08 22:53:12christian.heimessetstatus: open -> closed
superseder: Provide configure option --with-ssl for compilation with custom openssl
resolution: out of date
2014-05-20 13:29:49machyniaksetnosy: + machyniak
messages: + msg218843
2013-01-07 14:19:23ikeaxialsetnosy: + ikeaxial
2011-06-16 16:33:24collinwintersetassignee: collinwinter ->
messages: + msg138461
2011-06-14 16:03:12eric.araujosetnosy: + eric.araujo

versions: + Python 3.3, - Python 2.7
2010-04-25 05:21:05jafosetpriority: normal

nosy: + jafo
messages: + msg104142

assignee: collinwinter
keywords: patch, patch, needs review
2009-04-21 15:20:28pitrousetkeywords: patch, patch, needs review
nosy: + pitrou
messages: + msg86233

2009-04-20 23:56:43isandlersetnosy: + isandler
messages: + msg86213
2009-03-26 21:07:58collinwintercreate